FLICKCURL(1)

NAME
flickcurl - call Flickr API

SYNOPSIS
flickcurl -a FROB
flickcurl [-d DELAY] [-h] [-o FILE] [-q] [-v] [-V] [commands] ...

DESCRIPTION
flickcurl is a utility program to call the Flickr APIs via the flickcurl library. Run flickcurl -h to get a list of the supported commands and their arguments.

The program requires configuring before use to work with the Flickr APIs. Run flickcurl without any options to get the instructions for registering the application and creating the initial configuration file ~/.flickcurl.conf from the registration information.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-a FROB, --auth FROB
    Authenticate with a FROB and update the authentication file. The program will exit after updating the file.

-d DELAY, --delay DELAY
    Set delay between requests to DELAY milliseconds.

-h, --help
    Show summary of options and exit.

-o FILE, --output FILE
    Write the results of format feed API calls to FILE

-q, --quiet
    Display less information while the program runs.

-v, --version
    Display the version of the program and exit.

-V, --verbose
    Display more information while the program runs.

COMMANDS

SEE ALSO
flickrdf(1).

AUTHOR
flickcurl was written by David Beckett.

This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>, for the Debian project (but may be used by others).